
CoCoALib - Feature #223

Automatic mapping of RingElems

08 Aug 2012 21:02 - John Abbott

Status: Closed Start date: 08 Aug 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99534 Seoul14 Spent time: 1.35 hour

Description

Bruns has "complained" about the lack of automatic mapping of RingElem values from a coeff ring to a poly ring.

Automatic mapping of RingElem values is being considered for CoCoA-5, so why forbid it in CoCoALib?

One possible reason is speed of execution.  Still it seems unfair/unreasonable to make the programmer's life difficult just because

there are some circumstances where "careless programming" might lead to a measurable reduction in performance.

Note that not having automatic mapping in CoCoALib will make it harder to port CoCoA-5 programs into CoCoA-5 -- perhaps even

impossible in some cases?

AMB March 2013: added RingElem(R, rhs)

Related issues:

Related to CoCoA-5 - Feature #7: Automatic mapping between (some) rings Resolved 20 Oct 2011

Related to CoCoALib - Feature #221: Better RingElems Closed 08 Aug 2012

Related to CoCoALib - Feature #253: W.Bruns's wish list Closed 04 Oct 2012

Related to CoCoA-5 - Design #637: Undesirable consequence of automatic mappin... Closed 23 Oct 2014

Related to CoCoALib - Feature #645: Automatic mapping of RingElem: user selec... Rejected 04 Nov 2014

History

#1 - 26 Sep 2012 13:11 - Christof Soeger

To make the conversion at least easier a constructor like in #7 note-4 would be helpful: RingElem(R, x)

If an change of the ring of RingElem by assigning a new value will be allowed as proposed in issues #221 also changing the ring of an existing

RingElem by mapping it into a given ring without creating a new element could be usefull.

#2 - 08 Mar 2013 16:36 - Anna Maria Bigatti

- Category set to New Function

- Status changed from New to Resolved

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoA-5.0.9

- % Done changed from 0 to 70

I added RingElem(R, rhs) with rsh a RingElem in a ring S such that there exists a CanonicalHom S->R

(both to CoCoALib and CoCoA-5, but no documentation, manual, test, cvs,.. yet!)

/**/ Use R;

/**/ K := NewFractionField(R);

/**/ 1/RingElem(K, x^2-x);

1/(x^2 -x)

For those able to read between the bits: it's a giant leap for mankind!
#3 - 15 Mar 2013 15:36 - Anna Maria Bigatti

- Status changed from Resolved to Feedback

- % Done changed from 70 to 90

#4 - 15 Mar 2013 15:59 - Anna Maria Bigatti

cvs-ed

#5 - 21 Mar 2014 11:26 - Anna Maria Bigatti

- Target version changed from CoCoA-5.0.9 to CoCoALib-0.99534 Seoul14

#6 - 10 Jul 2014 13:38 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Closing this issue, but leaving #7 open.  This is fine as far as it goes.

Powered by TCPDF (www.tcpdf.org)

02 May 2024 2/2

https://cocoa.dima.unige.it/redmine/issues/7
http://www.tcpdf.org

